# Gluebox Node Apache Solr Reverse Proxy Configs

## Purpose
These vhost files define HTTPS virtual hosts for:
- gluebox.com
- Expose Apache Solr via reverse proxy at `/solr`
- Use Let's Encrypt SSL
- sets DocumentRoot and Directory settings


<VirtualHost *:443>
    ServerName gluebox.com
    ServerAlias www.gluebox.com
    ServerAdmin webmaster@localhost

    DocumentRoot /opt/www/snowmaid/web

    ErrorLog ${APACHE_LOG_DIR}/error.log
    CustomLog ${APACHE_LOG_DIR}/access.log combined

    RequestHeader set X-Forwarded-Proto "https"
    Header append Vary Host

    # Reverse Proxy for Solr
    ProxyRequests Off
    ProxyPreserveHost On

    <Proxy *>
        Require all granted
    </Proxy>

    ProxyPass /solr http://localhost:8983/solr
    ProxyPassReverse /solr http://localhost:8983/solr

    Alias /bpmn /opt/www/bpmn
    <Directory /opt/www/bpmn>
        Require all granted
    </Directory>

    <Directory /opt/www/snowmaid/web>
        Options Indexes FollowSymLinks
        AllowOverride All
        Require all granted
        RewriteEngine On
    </Directory>

    Include /etc/letsencrypt/options-ssl-apache.conf

</VirtualHost>
